
dpi = pi;
spi = single (pi);

fprintf ('calling fcn directly\n');

fcn (dpi, dpi)   %% expect "double"
fcn (dpi, spi)   %% expect "single"
fcn (spi, spi)   %% expect "single"
fcn (spi, dpi)   %% expect "single"
fcn ({}, {})     %% expect "none"

fh = @fcn;

%% If the following all return "none" then it appears that the
%% function handle is bound to the non-class version of fcn if it is
%% visible in the path.

fprintf ('calling fcn through handle\n');

fh (dpi, dpi)    %% ?
fh (dpi, spi)    %% ?
fh (spi, spi)    %% ?
fh (spi, dpi)    %% ?
fh ({}, {})
